/*BASIC AGGREGATE CENSUS REGRESSION*/
/*ALSO CUTTING BY INCOME GROUP*/

set more 1
set mat 400
set memory 40m

*******FIRST generating MIGRATION variables
use mig_cen
keep cityid go* come* cmin* stay*

*cutting into LOW, MID, and HIGH
gen come_low=(come_w1+come_b1)/(go_w1+go_b1+stay_w1+stay_b1)
gen go_low=(go_w1+go_b1)/(go_w1+go_b1+stay_w1+stay_b1)
gen cmin_low=(cmin_w1+cmin_b1)/(go_w1+go_b1+stay_w1+stay_b1)
gen goin_low=(goin_w1+goin_b1)/(go_w1+go_b1+stay_w1+stay_b1)
gen cmou_low=come_low-cmin_low
gen goou_low=go_low-goin_low 
generate net_low=come_low-go_low
generate nin_low=cmin_low-goin_low
generate nou_low=cmou_low-goou_low

gen come_mid=(come_w2+come_w3+come_b2+come_b3)/(come_w2+come_w3+come_b2+come_b3+stay_w2+stay_w3+stay_b2+stay_b3)
gen go_mid=(go_w2+go_w3+go_b2+go_b3)/(go_w2+go_w3+go_b2+go_b3+stay_w2+stay_w3+stay_b2+stay_b3)
gen cmin_mid=(cmin_w2+cmin_w3+cmin_b2+cmin_b3)/(come_w2+come_w3+come_b2+come_b3+stay_w2+stay_w3+stay_b2+stay_b3)
gen goin_mid=(goin_w2+goin_w3+goin_b2+goin_b3)/(go_w2+go_w3+go_b2+go_b3+stay_w2+stay_w3+stay_b2+stay_b3)
gen cmou_mid=come_mid-cmin_mid
gen goou_mid=go_mid-goin_mid
gen net_mid=come_mid-go_mid
gen nin_mid=cmin_mid-goin_mid
gen nou_mid=cmou_mid-goou_mid

gen come_hig=(come_w4+come_w5+come_w6+come_w7+come_b4+come_b5+come_b6+come_b7)/(go_w4+go_w5+go_w6+go_w7+go_b4+go_b5+go_b6+go_b7+stay_w4+stay_w5+stay_w6+stay_w7+stay_b4+stay_b5+stay_b6+stay_b7) 
gen go_hig=(go_w4+go_w5+go_w6+go_w7+go_b4+go_b5+go_b6+go_b7)/(go_w4+go_w5+go_w6+go_w7+go_b4+go_b5+go_b6+go_b7+stay_w4+stay_w5+stay_w6+stay_w7+stay_b4+stay_b5+stay_b6+stay_b7) 
gen cmin_hig=(cmin_w4+cmin_w5+cmin_w6+cmin_w7+cmin_b4+cmin_b5+cmin_b6+cmin_b7)/(go_w4+go_w5+go_w6+go_w7+go_b4+go_b5+go_b6+go_b7+stay_w4+stay_w5+stay_w6+stay_w7+stay_b4+stay_b5+stay_b6+stay_b7) 
gen goin_hig=(goin_w4+goin_w5+goin_w6+goin_w7+goin_b4+goin_b5+goin_b6+goin_b7)/(go_w4+go_w5+go_w6+go_w7+go_b4+go_b5+go_b6+go_b7+stay_w4+stay_w5+stay_w6+stay_w7+stay_b4+stay_b5+stay_b6+stay_b7) 
gen cmou_hig=come_hig-cmin_hig
gen goou_hig=go_hig-goin_hig
generate net_hig=come_hig-go_hig
generate nin_hig=cmin_hig-goin_hig
generate nou_hig=cmou_hig-goou_hig

*aggregating over race and income groups
gen come_all=(come_w1+come_w2+come_w3+come_w4+come_w5+come_w6+come_w7+come_b1+come_b2+come_b3+come_b4+come_b5+come_b6+come_b7)/(go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7+stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7)
gen cmin_all=(cmin_w1+cmin_w2+cmin_w3+cmin_w4+cmin_w5+cmin_w6+cmin_w7+cmin_b1+cmin_b2+cmin_b3+cmin_b4+cmin_b5+cmin_b6+cmin_b7)/(go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7+stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7)
gen go_all=(go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7)/(go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7+stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7)
gen goin_all=(goin_w1+goin_w2+goin_w3+goin_w4+goin_w5+goin_w6+goin_w7+goin_b1+goin_b2+goin_b3+goin_b4+goin_b5+goin_b6+goin_b7)/(go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7+stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7)
gen cmou_all=come_all-cmin_all
gen goou_all=go_all-goin_all
generate net_all=come_all-go_all
generate nin_all=cmin_all-goin_all
gen nou_all=net_all-nin_all

gen count=come_w1+come_w2+come_w3+come_w4+come_w5+come_w6+come_w7+come_b1+come_b2+come_b3+come_b4+come_b5+come_b6+come_b7+go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7+stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7

gen come_b=(come_b1+come_b2+come_b3+come_b4+come_b5+come_b6+come_b7)/(stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7)
gen come_w=(come_w1+come_w2+come_w3+come_w4+come_w5+come_w6+come_w7)/(stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7)
gen go_b=(go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7)/(stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7)
gen go_w=(go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7)/(stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7)
gen net_b=come_b-go_b
gen net_w=come_w-go_w

gen cmin_b=(cmin_b1+cmin_b2+cmin_b3+cmin_b4+cmin_b5+cmin_b6+cmin_b7)/(stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7)
gen cmin_w=(cmin_w1+cmin_w2+cmin_w3+cmin_w4+cmin_w5+cmin_w6+cmin_w7)/(stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7)
gen goin_b=(goin_b1+goin_b2+goin_b3+goin_b4+goin_b5+goin_b6+goin_b7)/(stay_b1+stay_b2+stay_b3+stay_b4+stay_b5+stay_b6+stay_b7+go_b1+go_b2+go_b3+go_b4+go_b5+go_b6+go_b7)
gen goin_w=(goin_w1+goin_w2+goin_w3+goin_w4+goin_w5+goin_w6+goin_w7)/(stay_w1+stay_w2+stay_w3+stay_w4+stay_w5+stay_w6+stay_w7+go_w1+go_w2+go_w3+go_w4+go_w5+go_w6+go_w7)
gen nin_b=cmin_b-goin_b
gen nin_w=cmin_w-goin_w

gen cmou_b=come_b-cmin_b
gen cmou_w=come_w-cmin_w
gen goou_b=go_b-goin_b
gen goou_w=go_w-goin_w
gen nou_b=net_b-nin_b
gen nou_w=net_w-nin_w

*dividing into education categories
gen come_e1=(come1e)/(go1e+stay1e)
gen come_e2=(come2e)/(go2e+stay2e)
gen come_e3=(come3e+come4e)/(go3e+go4e+stay3e+stay4e)
gen cmin_e1=(cmin1e)/(go1e+stay1e)
gen cmin_e2=(cmin2e)/(go2e+stay2e)
gen cmin_e3=(cmin3e+cmin4e)/(go3e+go4e+stay3e+stay4e)
gen go_e1=(go1e)/(go1e+stay1e)
gen go_e2=(go2e)/(go2e+stay2e)
gen go_e3=(go3e+go4e)/(go3e+go4e+stay3e+stay4e)
gen goin_e1=(goin1e)/(go1e+stay1e)
gen goin_e2=(goin2e)/(go2e+stay2e)
gen goin_e3=(goin3e+goin4e)/(go3e+go4e+stay3e+stay4e)
gen net_e1=come_e1-go_e1
gen net_e2=come_e2-go_e2
gen net_e3=come_e3-go_e3
gen nin_e1=cmin_e1-goin_e1
gen nin_e2=cmin_e2-goin_e2
gen nin_e3=cmin_e3-goin_e3
gen cmou_e1=come_e1-cmin_e1
gen cmou_e2=come_e2-cmin_e2
gen cmou_e3=come_e3-cmin_e3
gen goou_e1=go_e1-goin_e1
gen goou_e2=go_e2-goin_e2
gen goou_e3=go_e3-goin_e3
gen nou_e1=net_e1-nin_e1
gen nou_e2=net_e2-nin_e2
gen nou_e3=net_e3-nin_e3

*dividing into with and without kids
gen come_k0=(come0k)/(go0k+stay0k)
gen cmin_k0=(cmin0k)/(go0k+stay0k)
gen cmou_k0=come_k0-cmin_k0
gen come_k1=(come1k)/(go1k+stay1k)
gen cmin_k1=(cmin1k)/(go1k+stay1k)
gen cmou_k1=come_k1-cmin_k1
gen go_k0=(go0k)/(go0k+stay0k)
gen goin_k0=(goin0k)/(go0k+stay0k)
gen goou_k0=go_k0-goin_k0
gen go_k1=(go1k)/(go1k+stay1k)
gen goin_k1=(goin1k)/(go1k+stay1k)
gen goou_k1=go_k1-goin_k1
gen net_k0=come_k0-go_k0
gen net_k1=come_k1-go_k1
gen nin_k0=cmin_k0-goin_k0
gen nin_k1=cmin_k1-goin_k1
gen nou_k0=cmou_k0-goou_k0
gen nou_k1=cmou_k1-goou_k1

keep cityid net_all nin_all nou_all come_all cmin_all cmou_all go_all goin_all goou_all net_hig nin_hig nou_hig come_hig cmin_hig cmou_hig  go_hig goin_hig goou_hig net_mid nin_mid nou_mid come_mid cmin_mid cmou_mid go_mid goin_mid goou_mid net_low nin_low nou_low come_low cmin_low cmou_low go_low goin_low goou_low net_b nin_b nou_b come_b cmin_b cmou_b go_b goin_b goou_b net_w nin_w nou_w come_w cmin_w cmou_w go_w goin_w goou_w net_k0 nin_k0 nou_k0 come_k0 cmin_k0 cmou_k0 go_k0 goin_k0 goou_k0 net_k1 nin_k1 nou_k1 come_k1 cmin_k1 cmou_k1 go_k1 goin_k1 goou_k1 net_e1 nin_e1 nou_e1 come_e1 cmin_e1 cmou_e1 go_e1 goin_e1 goou_e1 net_e2 nin_e2 nou_e2 come_e2 cmin_e2 cmou_e2 go_e2 goin_e2 goou_e2 net_e3 nin_e3 nou_e3 come_e3 cmin_e3 cmou_e3 go_e3 goin_e3 goou_e3 count
sort cityid 
save temp, replace


use mig_cen
sort cityid
merge cityid using temp
summ count
summ net_all nin_all nou_all come_all cmin_all cmou_all go_all goin_all goou_all net_hig nin_hig nou_hig come_hig cmin_hig cmou_hig  go_hig goin_hig goou_hig net_mid nin_mid nou_mid come_mid cmin_mid cmou_mid go_mid goin_mid goou_mid net_low nin_low nou_low come_low cmin_low cmou_low go_low goin_low goou_low net_b nin_b nou_b come_b cmin_b cmou_b go_b goin_b goou_b net_w nin_w nou_w come_w cmin_w cmou_w go_w goin_w goou_w net_k0 nin_k0 nou_k0 come_k0 cmin_k0 cmou_k0 go_k0 goin_k0 goou_k0 net_k1 nin_k1 nou_k1 come_k1 cmin_k1 cmou_k1 go_k1 goin_k1 goou_k1 net_e1 nin_e1 nou_e1 come_e1 cmin_e1 cmou_e1 go_e1 goin_e1 goou_e1 net_e2 nin_e2 nou_e2 come_e2 cmin_e2 cmou_e2 go_e2 goin_e2 goou_e2 net_e3 nin_e3 nou_e3 come_e3 cmin_e3 cmou_e3 go_e3 goin_e3 goou_e3 

*getting summary statistics 
summ cit_pop pc_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown net_all c5_crim

*basic regression for comparison with other data sets
*ALL GROUPS
reg net_all c5_crim rr* [aw=cit_pop]
reg net_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by income
reg net_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg net_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg net_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by education
reg net_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg net_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg net_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by race
reg net_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg net_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by with and without kids
reg net_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg net_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 


********Now decomposing by coming and going, within and outside SMSA
*ALL GROUPS
reg net_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_all c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by income
reg net_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_hig c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

reg net_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_mid c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

reg net_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_low c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by education
reg net_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_e1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

reg net_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_e2 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

reg net_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_e3 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by race
reg net_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_b c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

reg net_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_w c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

*by with and without kids
reg net_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_k1 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 

reg net_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg come_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmin_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg cmou_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg go_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goin_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
reg goou_k0 c5_crim blck hs sa0 sa18 sa25 sa45 mdy manu unem temp_jan temp_jul precip hown rr* [aw=cit_pop] 
