/*initial individual-level regressions*/
/*uses data set created in mig_ind.do*/

/*BY EDUCATION LEVEL */

drop _all
capture log close
log using mig_ind2, replace
 
set mat 150
set memory 77m

use mig_ind

gen noths=(grade<14)
gen hsch=(grade==14)
gen somecol=(grade>14&grade<18)
gen coll=(grade>17&grade~=.)
replace coll=1 if somecol==1
tab region, gen(rr)
compress

*just city-level covariates
reg stay c5_crim mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr*, cluster(cityid)

replace af75=(af75==1)
replace tenure=(tenure==1)
replace coll75=(coll75==1)
replace children=(children>0&children<4)
replace marital=(marital==0)

reg stay c5_crim tenure af75 coll75 children marital grade hsch coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr*, cluster(cityid)

reg stay c5_crim tenure af75 coll75 children marital grade somecol coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr* if noths==1, cluster(cityid)
reg stay c5_crim tenure af75 coll75 children marital grade somecol coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr* if hsch==1, cluster(cityid)
reg stay c5_crim tenure af75 coll75 children marital grade somecol coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr* if coll==1, cluster(cityid)

reg stay c5_crim tenure af75 coll75 children marital grade hsch coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr* if black==1, cluster(cityid)
reg stay c5_crim tenure af75 coll75 children marital grade hsch coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr* if black==0, cluster(cityid)

reg stay c5_crim tenure af75 coll75 children marital grade hsch coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr* if children==1, cluster(cityid)
reg stay c5_crim tenure af75 coll75 children marital grade hsch coll age sex black mdy blck hs hown manu unem sa0 sa18 sa25 sa45 temp_jan temp_jul precip rr* if children==0, cluster(cityid)
